Alokai
You are reading the documentation for v7.x and earlier, which is no longer the latest version. Switch to v8.x

OrderEntry

Request body parameter that contains details such as the quantity of product (quantity), and the pickup store name (deliveryPointOfService.name) The DTO is in XML or .json format. OrderEntry

export interface OrderEntry {
	'basePrice'?: Price;
	'cancellableQuantity'?: number;
	'cancelledItemsPrice'?: Price;
	'comments'?: Array<Comment>;
	'configurationInfos'?: Array<ConfigurationInfo>;
	'deliveryMode'?: DeliveryMode;
	'deliveryPointOfService'?: PointOfService;
	'entryNumber'?: number;
	'product'?: Product;
	'quantity'?: number;
	'quantityAllocated'?: number;
	'quantityCancelled'?: number;
	'quantityPending'?: number;
	'quantityReturned'?: number;
	'quantityShipped'?: number;
	'quantityUnallocated'?: number;
	'returnableQuantity'?: number;
	'returnedItemsPrice'?: Price;
	'statusSummaryList'?: Array<StatusSummary>;
	'totalPrice'?: Price;
	'updateable'?: boolean;
	'url'?: string;
}

Properties

NameRequiredTypeDescription
basePriceOptionalPrice{Price} OrderEntry
cancellableQuantityOptionalnumberQuantity number of cancellable items in order entry {number} OrderEntry
cancelledItemsPriceOptionalPrice{Price} OrderEntry
commentsOptionalArray<Comment>List of order entry comments. {Array<Comment>} OrderEntry
configurationInfosOptionalArray<ConfigurationInfo>Configuration info of order entry {Array<ConfigurationInfo>} OrderEntry
deliveryModeOptionalDeliveryMode{DeliveryMode} OrderEntry
deliveryPointOfServiceOptionalPointOfService{PointOfService} OrderEntry
entryNumberOptionalnumberEntry number of the order entry {number} OrderEntry
productOptionalProduct{Product} OrderEntry
quantityOptionalnumberQuantity number of items in order entry {number} OrderEntry
quantityAllocatedOptionalnumber{number} OrderEntry
quantityCancelledOptionalnumber{number} OrderEntry
quantityPendingOptionalnumber{number} OrderEntry
quantityReturnedOptionalnumber{number} OrderEntry
quantityShippedOptionalnumber{number} OrderEntry
quantityUnallocatedOptionalnumber{number} OrderEntry
returnableQuantityOptionalnumberQuantity number of returnable items in order entry {number} OrderEntry
returnedItemsPriceOptionalPrice{Price} OrderEntry
statusSummaryListOptionalArray<StatusSummary>List of aggregated status information per entry, relevant if the entry is configurable and its configuration contains one or many issues in different severities. Note that configurators typically raise such issues only in case the parent document is changeable. In this case the issues (depending on their severity) need to be fixed before a checkout can be done. This means this segment can be present for a cart entry, for order entries it will always be empty {Array<StatusSummary>} OrderEntry
totalPriceOptionalPrice{Price} OrderEntry
updateableOptionalbooleanFlag defining if order entry item is updateable {boolean} OrderEntry
urlOptionalstring{string} OrderEntry

Referenced Types

On this page